#
# spec file for package tiled
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           tiled
Version:        0.12.3
Release:        0
Summary:        Tiled Map Editor
Group:          Productivity/Graphics/Other
License:        GPL-2.0+
Url:            http://www.mapeditor.org
Source:         https://github.com/bjorn/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  qt-devel
BuildRequires:  gcc-c++
BuildRequires:  desktop-file-utils
BuildRequires:  hicolor-icon-theme
Provides:       tiled-qt
Requires:       libtiled1
Suggests:       tmxtools

%description
Tiled is a general purpose tile map editor. It's built to be easy to use,
yet flexible enough to work with varying game engines, whether your game
is an RPG, platformer or Breakout clone. Tiled is free software and written
in C++, using the Qt application framework.

%package -n tmxtools
Summary:        Commandline Tools for Tiled MapEditor
Group:          Productivity/Graphics/Other
License:        BSD-2-Clause

%description -n tmxtools
This package contains tmxviewer, a simple application to view Tiled maps
and tmxrasterizer which is also a command line tool.

%package -n libtiled1
Summary:        Library for Tiled MapEditor
Group:          Development/Libraries/C and C++
License:        BSD-2-Clause

%description -n libtiled1
This package contains libtiled a library for the Tiled map editor.

%prep
%setup -q -n %{name}-%{version}
# Remove copy of zlib
rm -rf src/zlib

%build
%if 0%{?suse_version}
qmake -r PREFIX=%{_prefix} LIBDIR=%{_libdir} RPATH=no
%else
qmake-qt4 -r PREFIX=%{_prefix} LIBDIR=%{_libdir} RPATH=no
%endif

make %{?_smp_mflags}

%install
make install INSTALL_ROOT=%{buildroot}

# Clean build artefacts
find -name ".uic" -or -name ".moc" -or -name ".rcc" | xargs rm -rf

# Validate desktop file
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop

# locale files
%find_lang %{name} --with-qt

# Removed development file (this version does not install headers anyway)
rm %{buildroot}/%{_libdir}/lib%{name}.so

%post -n libtiled1 -p /sbin/ldconfig
%postun -n libtiled1 -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS NEWS README.md COPYING LICENSE.GPL
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/mimetypes/application-x-%{name}.*
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/mime/packages/%{name}.xml
%dir %{_datadir}/%{name}/
%dir %{_datadir}/%{name}/translations
%{_libdir}/%{name}
%{_mandir}/man1/%{name}.1%{ext_man}

%files -n libtiled1
%defattr(-,root,root)
%doc LICENSE.BSD
%{_libdir}/lib%{name}.so.*

%files -n tmxtools
%defattr(-,root,root)
%doc LICENSE.BSD
%{_bindir}/automappingconverter
%{_bindir}/tmxrasterizer
%{_bindir}/tmxviewer
%{_mandir}/man1/tmxviewer.1%{ext_man}
%{_mandir}/man1/tmxrasterizer.1%{ext_man}
%{_mandir}/man1/automappingconverter.1%{ext_man}

%changelog
